interface IShowDialog {
  text_left: String;
  text_right?: String;
  duration?: Number;
  layout_style?: {
    position?: "top" | "bottom" | "center";
    bgColor?: String;
    radius?: Number;
    padding_left?: Number;
    padding_top?: Number;
    padding_right?: Number;
    padding_bottom?: Number;
    margin_left?: Number;
    margin_top?: Number;
    margin_right?: Number;
    margin_bottom?: Number;
  };
  text_left_style?: {
    textColor?: String;
    fontSize?: Number;
    textTransform?: "bold" | "italic" | "normal" | "bold_italic";
    uppercase?: boolean;
  };
  text_right_style?: {
    textColor?: String;
    fontSize?: Number;
    minWidth?: Number;
    textTransform?: "bold" | "italic" | "normal" | "bold_italic";
    uppercase?: boolean;
  };
}

export const CustomLayout: {
  showDialog: (arg: IShowDialog, onClose?: () => void) => void;
};
